Get all fact-find requests the client owns. Run in API Explorer
Ask AI
GET
/api/v1/client/{client_id}/fact-find/requests
curl \
--request GET 'https://api.plannrcrm.com/api/v1/client/architecto/fact-find/requests' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "1a7ae8ff-c401-4e31-b66f-872ddefddefb",
"created_at": "2026-11-18T20:11:43+00:00",
"updated_at": "2026-11-18T20:11:43+00:00",
"status": "complete",
"completed_at": "2026-11-13T20:11:43+00:00",
"invitation_text": "Please complete this fact find!",
"schema": {
"uuid": "27fb3e24-f46b-4852-aa62-da2b892501e0",
"created_at": "2026-11-18T20:11:43+00:00",
"updated_at": "2026-11-18T20:11:43+00:00",
"archived_at": "2026-11-17T20:11:43+00:00",
"is_archived": false,
"name": "Default fact find",
"introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
"sections_count": 5,
"public_url": "https://api.plannrcrm.com/fact-find/633bef1c-3adb-4a5c-99c9-f91782c4b410"
},
"latest_file": {
"uuid": "4090a775-b6cb-4d3e-af8a-ad5fbbb98898",
"created_at": "2026-11-18T20:11:43+00:00",
"original_created_at": "2026-11-18T20:11:43+00:00",
"updated_at": "2026-11-18T20:11:43+00:00",
"uploaded_at": "2026-11-18T20:11:43+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-18T20:11:43+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/95a3319c-7d83-4e57-b5f4-1686369b4adf/download",
"preview_url": "https://api.plannrcrm.com/file/3de29b26-9cd2-4c9c-a8b9-7d49829734d7/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "1cb8fbb8-a7dd-46fa-a9a5-91df635671fc",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "8ab63995-c634-4f88-a8f9-5850ef01a7d7"
},
"firm": {
"uuid": "55e0711d-76b4-4c6f-92e9-0462788a0d54",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "97f856cb-2529-44fe-8d54-aff07abeb47e",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "e2979cde-75a9-4485-befb-d3df2cb0cf15",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
},
"account": {
"uuid": "56f31b86-592b-4700-a672-0a2776984a12",
"created_at": "2026-11-18T20:11:43+00:00",
"updated_at": "2026-11-18T20:11:43+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "4bcc9b2d-d5f4-4ea4-9e39-edbdbc538591",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"invitation_url": "https://api.plannrcrm.com/fact-find/8c150d4e-2f02-4827-9a29-d9e9172ece39/cd30ed02-9e67-488d-99db-3a871e1c9886",
"fact_find_passes": {
"uuid": "9180c29a-ec0d-40e5-ab40-47cb25e7c807",
"created_at": "2026-11-18T20:11:43+00:00",
"updated_at": "2026-11-18T20:11:43+00:00",
"firm": {
"uuid": "7ec20209-5efb-4f44-8b39-e9a94a8f1a72",
"name": "Codepotato Ltd"
},
"account": {
"uuid": "97f856cb-2529-44fe-8d54-aff07abeb47e",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"circle": {
"uuid": "2ccab963-ace4-43ec-94d9-32b0cee30937",
"name": "The Codepotato Gang"
},
"expires_at": "2026-11-18T20:11:43+00:00",
"progress": 50,
"is_complete": false,
"completed_sections": 2
}
}
]
}